AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
DatabaseDelCommand Class
DatabaseDelCommand Constructor
DatabaseDelCommand Methods
DatabaseDelCommand Properties

| DatabaseDelCommand Class

Deletes a family or specific keytree within a family in the Asterisk database.
Returns 1 if successful, 0 otherwise.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
DatabaseDelCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class DatabaseDelCommand : AGICommand

    Public Class DatabaseDelCommand
    	Inherits AGICommand

    public ref class DatabaseDelCommand : public AGICommand

    type DatabaseDelCommand =
        class
            inherit AGICommand
        end

The DatabaseDelCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| DatabaseDelCommand(String) | Creates a new DatabaseDelCommand to delete a family.
| DatabaseDelCommand(String, String) | Creates a new DatabaseDelCommand to delete a keytree.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Family | Get/Set the family (or family of the keytree) to delete.
| KeyTree | Get/Set the the keytree to delete.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace